%global commit 0324a955696d3235b5700046a487f8a2086baf1f

Name:           libdecaf
Version:        1.0.1
Release:        1%{?dist}
Summary:        The Decaf crypto library
License:        MIT
URL:            http://ed448goldilocks.sourceforge.net/
Source0:        https://sourceforge.net/code-snapshots/git/e/ed/ed448goldilocks/code.git/ed448goldilocks-code-%{commit}.zip
Patch0:         libdecaf-0.9.4-allow-warnings.patch

BuildRequires:  python

%description
Decaf elliptic curve library. This library is for elliptic curve research and
practical application. It currently supports Ed448-Goldilocks and Curve25519.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains libraries and header files for
developing applications that use %{name} libraries.

%prep
%setup -n ed448goldilocks-code-%{commit}
%patch0 -p1 -b .allow-warnings

%build
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_includedir}
cp -r src/GENERATED/include/* %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_libdir}
install -p build/lib/libdecaf.so.1 %{buildroot}%{_libdir}
ln  -s -r %{buildroot}%{_libdir}/libdecaf.so.1 %{buildroot}%{_libdir}/libdecaf.so

%check
make test

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc LICENSE.txt HISTORY.txt README.md TODO.txt
%{_libdir}/*

%files devel
%{_includedir}/*

%changelog
* Fri Oct 16 2020 Kees Monshouwer <mind04@monshouwer.org> - 1.0.1-1
- update to 1.0.1

* Sat Aug 11 2018 Kees Monshouwer <mind04@monshouwer.org> - 1.0-1
- update to 1.0

* Sun Oct 22 2017 Kees Monshouwer <mind04@monshouwer.org> - 0.9.4-1
- update to 9.4.0
- add allow warning patch

* Fri Jun 23 2017 Kees Monshouwer <mind04@monshouwer.org> - 0.9.3-2
- add missing python buildrequirement
- fix 'File listed twice' warning

* Tue Jun 20 2017 Kees Monshouwer <mind04@monshouwer.org> - 0.9.3-1
- initial package
